* [gentoo-commits] repo/gentoo:master commit in: net-print/poster/, net-print/poster/files/
@ 2017-02-11 20:12 Andreas Hüttel
0 siblings, 0 replies; 2+ messages in thread
From: Andreas Hüttel @ 2017-02-11 20:12 UTC (permalink / raw
To: gentoo-commits
commit: 937c6df1eab95be77c21ac44aeeb399525944751
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 20:11:59 2017 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 20:11:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=937c6df1
net-print/poster: Add patch for bug 471270, thanks to quazgar <AT> posteo.de
Package-Manager: Portage-2.3.3, Repoman-2.3.1
...ster-20060221-fix_duplicate_DocumentMedia.patch | 19 ++++++++++++++++
net-print/poster/poster-20060221-r1.ebuild | 26 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/net-print/poster/files/poster-20060221-fix_duplicate_DocumentMedia.patch b/net-print/poster/files/poster-20060221-fix_duplicate_DocumentMedia.patch
new file mode 100644
index 0000000000..52584a9507
--- /dev/null
+++ b/net-print/poster/files/poster-20060221-fix_duplicate_DocumentMedia.patch
@@ -0,0 +1,19 @@
+See https://bugs.gentoo.org/show_bug.cgi?id=471270
+
+--- a/poster.c 2013-05-25 21:41:53.000000000 +0200
++++ b/poster.c 2013-05-25 21:43:41.000000000 +0200
+@@ -812,8 +812,12 @@
+ if (!strncmp( c, "(atend)", 7)) atend = 1;
+ else
+ { /* pass this DSC to output */
+- puts( buf);
+- dsc_cont = 1;
++ /* if it is not another DocumentMedia comment */
++ if (strncmp( buf, "%%DocumentMedia", 15))
++ {
++ puts( buf);
++ dsc_cont = 1;
++ }
+ }
+ }
+ else if ( !strncmp( buf, "%%Pages:", 8 ) )
diff --git a/net-print/poster/poster-20060221-r1.ebuild b/net-print/poster/poster-20060221-r1.ebuild
new file mode 100644
index 0000000000..0c75144668
--- /dev/null
+++ b/net-print/poster/poster-20060221-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit toolchain-funcs
+
+DESCRIPTION="small utility for making a poster from an EPS file or a one-page PS document"
+SRC_URI="mirror://kde/printing/${P}.tar.bz2"
+HOMEPAGE="https://printing.kde.org/downloads"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+src_compile(){
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -lm -o ${PN} || die
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ dodoc README ChangeLog
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-print/poster/, net-print/poster/files/
@ 2017-02-20 22:00 Andreas Hüttel
0 siblings, 0 replies; 2+ messages in thread
From: Andreas Hüttel @ 2017-02-20 22:00 UTC (permalink / raw
To: gentoo-commits
commit: 967aa067e65cd5620f13aa5c34b591672491e5f2
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 20 22:00:34 2017 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Feb 20 22:00:50 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=967aa067
net-print/poster: Add fix for bug 580610 by Dmitry Olyenyov
Package-Manager: Portage-2.3.3, Repoman-2.3.1
.../files/poster-20060221-fix_cutmarks.patch | 15 ++++++++++
net-print/poster/poster-20060221-r3.ebuild | 32 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/net-print/poster/files/poster-20060221-fix_cutmarks.patch b/net-print/poster/files/poster-20060221-fix_cutmarks.patch
new file mode 100644
index 0000000000..0ae10f3bdf
--- /dev/null
+++ b/net-print/poster/files/poster-20060221-fix_cutmarks.patch
@@ -0,0 +1,15 @@
+https://bugs.gentoo.org/show_bug.cgi?id=580610
+
+Index: poster-20060221/poster.c
+===================================================================
+--- poster-20060221.orig/poster.c
++++ poster-20060221/poster.c
+@@ -113,7 +113,7 @@ char *whitemarginspec = NULL;
+ char *scalespec = NULL;
+ char *filespec = NULL;
+ char *pagespec = NULL;
+-char *clipfacil = "0xFF";
++char *clipfacil = "255";
+ char *overlap = "6";
+
+ /* media sizes in ps units (1/72 inch) */
diff --git a/net-print/poster/poster-20060221-r3.ebuild b/net-print/poster/poster-20060221-r3.ebuild
new file mode 100644
index 0000000000..922da413fa
--- /dev/null
+++ b/net-print/poster/poster-20060221-r3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Small utility for making a poster from an EPS file or a one-page PS document"
+SRC_URI="mirror://kde/printing/${P}.tar.bz2"
+HOMEPAGE="https://printing.kde.org/downloads"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix_gs_crash.patch"
+ "${FILESDIR}/${P}-fix_duplicate_DocumentMedia.patch"
+ "${FILESDIR}/${P}-fix_cutmarks.patch"
+)
+
+src_compile(){
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -lm -o ${PN} || die
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ dodoc README ChangeLog
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2017-02-20 22:00 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-02-11 20:12 [gentoo-commits] repo/gentoo:master commit in: net-print/poster/, net-print/poster/files/ Andreas Hüttel
-- strict thread matches above, loose matches on Subject: below --
2017-02-20 22:00 Andreas Hüttel
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox